Subject: Re: [bug#70971] [PATCH v2 1/3] gnu: dhewm3: Use git repository.

From: Christopher Baines <[email-masked]>
Date: Sat, 22 Jun 2024 17:33:39 +0100

James Smith <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> James Smith via Guix-patches via <[email-masked]> writes:
>>
>>> * gnu/packages/game-development.scm (dhewm3) [source]: Use git repository
>>> instead of downloading a tarball from GitHub.
>>>
>>> Change-Id: I81ff5de0687221d7eec64b0165dbf10c2d041260
>>> ---
>>>  gnu/packages/game-development.scm | 12 ++++++------
>>>  1 file changed, 6 insertions(+), 6 deletions(-)
>>
>> I'm missing why you're making this change? I don't see anything wrong
>> with using these upstream release tarballs.
>
> I noticed that the package was using a tarball from GitHub and assumed
> that it was one that was autogenerated. Upon closer inspection, I see
> that it's a manually pack tarball instead. I can send a new set of
> patches that excludes switching to the git repository if needed.

I tried to apply the patches, but they look to have already been
applied.

I'll leave the issue open until it's been decided whether to keep the
switch to the Git repository or go back to using tarballs.